<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Tables and Forms</title>
	</head>
	<body>

		<!-- Creates a container element used to group HTML elements-->
		<!--  "header" value is used for Search Engine Optimization (SEO) -->

	<!-- <div id="header"> -->
	<header>
					<h1>HTML Tables and Forms</h1>
	</header>
	<!-- </div> -->

	<!-- <div id="main"> -->

		<!-- Using HTML Semantic tags make our website optimized for SEO and it's easier to differentiate portions of code instead of finding matches for the closing div tags.
		 -->

	<main>
			
			<!-- <div id="section"> -->
			<section>
				
								<h2>HTML Entities</h2>
					<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code)</em></p>

									<!-- Notes -->
					<!-- (table) - defines an HTML table -->
					<!--(thead) - Used to group table header content  -->
					<!-- (tr) - Defines a table row -->
					<!-- (th) - Defines a table header element  -->
					<!-- (tbody) - Defines the table body content -->
					<!-- (td) - Defines a table data element -->
					<!-- (tfoot) - Used to group table footer content -->

				<table border="1">
					<thead>
						<tr>
							<th colspan="2">Entity</th>
							<th>Description</th>
						</tr>
					</thead>

					<tbody>
						<!-- 1st -->
						<tr>
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>
						<!-- 2nd -->
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>
						<!-- 3rd -->
						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>
						<!-- 4th -->
						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>
						<!-- 5th -->
						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotation mark (apostrophe)</td>
						</tr>
						<!-- 6th -->
						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>lower tilde</td>
						</tr>
						<!-- 7th -->
						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>upper tilde</td>
						</tr>

					</tbody>

					<tfoot>
						<tr>
							<th colspan="3">list of HTML Entities</th>
						</tr>				
					</tfoot>
				</table>
			</section>
			<!-- </div> -->

			<	!-- (hr meaning) horizontal rule [solid straight line] -->
				<hr>

			<!-- <div id="section"> -->
			<section>

										<!-- Notes -->
					<!-- (form) - Create an HTML form to capture user input  -->
					<!-- (action attribute) is a used to define where the information will be sent upon submission -->

					<!-- (type attribute) will define how the button will behave. The value of "submit" is the button tag's default value and is not necessary to be included. Though, it's a good practice to have it added because forms can contain several buttons. -->


					<!-- Different types of cases:
						
							PascaLCase = First Letter of the word is in uppercase (Functions in JavaScript)

							cameLCase = First Letter of second word is in uppercase (Variables)
						
							snake_case = use underscore to separate the word (Variables)
						
							kebab-case = use dash/hypen to separate the word (commonly 
							used in CSS) -->
					
					<!-- (label) - Creates a label and allows for input field selection when clicked -->

					<!-- (input) - Creates an input field to capture user input -->


					<!-- - The "type" attribute will define what type of information the input field should have. Changing it's value will automatically change the bahavior of the input field. -->

					<!-- - The "name" attribute will provide the input field with a name that we can use to associate with the information provided by the user. -->

					<!-- - The "required" attribute will not allow the form to be submitted without any user input. Leave the input field empty to demonstrate how it works. -->

					<!-- - The "autocomplete" attribute will provide suggestions for text inputs for a better user experience. Try typing on the form and no suggestions will show. Submit the form and go back to the page and try typing again to demonstrate how it works. -->

					<!-- (for attribute) - is to pair label and input -->


					<!-- "date" creates a field for calendar select date and in date format -->

					<!-- "number" creates a input filed for number with arrow buttons for count -->

					<!-- (select) Creates a dropdown -->

					<!-- (option) - Creates for the dropdown value, first option is the first value -->

					<!-- selected - default value attribute -->

					<!-- disable and selected attributes will create an option with default value of blank but cannot be selected by the user -->

					<!-- create a larger text input "text area" -->


									<h2>HTML Forms</h2>
						<p><em>Input elements that make up a form.</em></p>

				<form action="https://www.google.com/">
						
						<!-- 1st -->

						<label for="full_name"> Full Name:</label>
						<input type="text" name="full_name" id="full_name" required autocomplete> <br>	

						<!-- 2nd form-->
						
						<label for="birth_date">Birth Date :</label>
						<input type="date" name="birth_date" id="birth_date" required autocomplete> <br>

						<!-- 3rd form -->

						<label for="age">Age:</label>
						<input type="number" name="age" id="age" required autocomplete> <br>

						<!-- 4th -->

						<label for="gender">Gender:</label>
						<select name="gender" id="gender">
								<option value="Male">Male</option>
								<option value="Female">Female</option>
								<option value="Rather to say">Rather not to say</option>
								<option value="" selected disabled></option>
						</select> <br>

							<!-- 5th -->

						<label for="notes">Note</label>
						<textarea name="notes" id="notes" rows="5"></textarea> <br>
						
							<!-- 6th -->
						<!-- radio buttons -->
						<label>New User:</label>

						<!-- radio - circle button -->
						<!-- name attribute should be same for related radio but. -->
						<input type="radio" name="new_user" id="user-type1" value="yes">
						<labelf for="user-type1">Yes</label>

						<input type="radio" name="new_user" id="user-type2" value="no">
						<labelf for="user-type2">No</label> <br>

							<!-- 7th -->
								
								<!-- Checkboxes -->
						<label>Roles:</label>

							<!-- 8th -->

						<input type="checkbox" name="role1" id="role1" value="developer">
						<label for="role1">Developer</label>

						<input type="checkbox" name="role2" id="role2" value="student">
						<label for="role2">Student</label>

						<input type="checkbox" name="role3" id="role3" value="manager">
						<label for="role3">Manager</label> <br>


						<button type="submit">Submit</button>

						<button type="reset">Reset</button>

				</form>
			</section>
			<!-- </div> -->
	<!-- </div> -->
	</main>	
		

	</body>
</html>



